import request from '@/utils/request'

// 查询非自然人出资信息列表
export function listContribution(query) {
  return request({
    url: '/basicData/xcrNonNaturalPersonContribution/findByPage',
    method: 'get',
    params: query
  })
}

// 查询非自然人出资信息详细
export function getContribution(xhCodeId) {
  return request({
    url: '/basicData/xcrNonNaturalPersonContribution/' + xhCodeId,
    method: 'get'
  })
}

// 新增非自然人出资信息
export function addContribution(data) {
  return request({
    url: '/basicData/xcrNonNaturalPersonContribution',
    method: 'post',
    data: data
  })
}

// 修改非自然人出资信息
export function updateContribution(data) {
  return request({
    url: '/basicData/xcrNonNaturalPersonContribution',
    method: 'put',
    data: data
  })
}

// 删除非自然人出资信息
export function delContribution(xhCodeId) {
  return request({
    url: '/basicData/xcrNonNaturalPersonContribution/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delContributionBatch(ids) {
  return request.post('/basicData/xcrNonNaturalPersonContribution/delete',ids)
}
